Bug 210355 - Crash on assertion failure (during vpn connect)
Crash on assertion failure (during vpn connect)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-11 13:23 EDT by Denis Leroy
Modified: 2007-12-10 04:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 04:26:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Denis Leroy 2006-10-11 13:23:06 EDT
While connecting to my work VPN, I forgot to add the group password. Pressing
ok, I get a somewhat unexpected error message: vpn could not be launched. After
that the nm daemon dies on an assertion failure:

Oct 11 18:58:36 NetworkManager: file nm-vpn-service.c: line 459
(nm_vpn_service_stage3_connect_cb): assertion failed: (service != NULL)

This is reproducable.
Comment 1 Matthew Miller 2007-04-06 12:27:35 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 Denis Leroy 2007-12-10 04:26:49 EST
No longer occuring in F-8.

Note You need to log in before you can comment on or make changes to this bug.